Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2022 19:05:57 +0300

> Date: Thu, 06 Oct 2022 15:15:51 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> 
> >> To avoid such bugs, the most reasonable thing to do for users is to 
> >> always specify the encoding.
> >
> > Should we perhaps have an entry in PROBLEMS with that information?
> >
> 
> Would it not be better if Emacs checked the LANG environment variable on 
> startup and warned the user when LANG does not specify an encoding?  Like 
> this:

We could do that, but:

 . issuing a warning doesn't solve the problem
 . experience shows that warnings shown at startup time frequently go
   unnoticed, since they might "drown in the sea" of the many messages
   shown by startup (for example, I use desktop, which emits gobs of
   messages when it restores a session)

So I'm not objected to having a warning, but an entry in PROBLEMS
would still be good.

Also:

> +                       (format "%s%s%s"
> +                               "The LANG environment variable, set to `"
> +                               (getenv "LANG")
> +                               "', does not specify an encoding.")

I believe the accepted terminology for that is "codeset".